package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class StudentPaymentDto extends QueryInfo {

    @ApiModelProperty(value = "上课日期",required = true)
    private String classDate;

    @ApiModelProperty(value = "上课时间",required = true)
    private String startClassTime;

    @ApiModelProperty(value = "课程类型",required = true)
    private String classGroupType;

    @ApiModelProperty(value = "班级名称",required = true)
    private String classGroupName;

    @ApiModelProperty(value = "当前课次",required = true)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "总课次",required = true)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "考勤状态",required = true)
    private String status;

    @ApiModelProperty(value = "预计费用",required = true)
    private BigDecimal expectPrice;

    @ApiModelProperty(value = "实际费用",required = true)
    private BigDecimal actualPrice;

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getClassGroupType() {
        return classGroupType;
    }

    public void setClassGroupType(String classGroupType) {
        this.classGroupType = classGroupType;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BigDecimal getExpectPrice() {
        return expectPrice;
    }

    public void setExpectPrice(BigDecimal expectPrice) {
        this.expectPrice = expectPrice;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }
}
